type 'a result = { content : 'a; report : Qsp_syntax.Report.t list }

val parse :
  (module Qsp_syntax.S.Analyzer
     with type Location.t = 'a
      and type context = 'context) ->
  Lexbuf.t ->
  'context ->
  ('a result, Qsp_syntax.Report.t) Result.t
(** Read the source and build a analyzis over it. 

This method make the link between the source file and how to read it
(encoding…) and the AST we want to build. *)
